package nc.net.uap.servlet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import nc.bs.framework.common.NCLocator;
import nc.itf.bgy.ws.my2nc.write.INCPayablebillWsFromMy;
import nc.net.servlet.EsbJsonServlet;
import nc.vo.esb.ResultEsbVO;
import uap.json.JSONObject;

/** 
 * @author zhengyao3/郑瑶
 * @date 2018-9-13 下午4:11:55
 * @Description:接收明源传入蓝字应付单
 *
 */
public class NCPayablebillWsFromMyServlet extends EsbJsonServlet {

	@Override
	public void execFunction(HttpServletRequest request,
			HttpServletResponse response) {
		JSONObject jsonobj = getPostJsonValue();// 获取请求值
		INCPayablebillWsFromMy billServlice = NCLocator.getInstance().lookup(INCPayablebillWsFromMy.class);
		ResultEsbVO resultVO = billServlice.addTallybill(jsonobj);
		sendResponse(response, resultVO);
	}

}
